aboutsummaryrefslogtreecommitdiffstats
path: root/x11/sdl/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-08-02 19:13:41 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-08-02 19:13:41 +0000
commit06e8e02ce9068faaf3a6834bd48b3f9a4c5405d5 (patch)
tree1af02911d7b650be6d8ded8b761e0ddbb5933500 /x11/sdl/APKBUILD
parent3629cf02ba5a0a748e11e36b9fadc4613eab214e (diff)
downloadaports-06e8e02ce9068faaf3a6834bd48b3f9a4c5405d5.tar.gz
aports-06e8e02ce9068faaf3a6834bd48b3f9a4c5405d5.tar.bz2
aports-06e8e02ce9068faaf3a6834bd48b3f9a4c5405d5.tar.xz
x11/sdl: new aport
A library for portable low-level access to a video framebuffer, audio output, mouse, and keyboard http://www.libsdl.org
Diffstat (limited to 'x11/sdl/APKBUILD')
-rw-r--r--x11/sdl/APKBUILD28
1 files changed, 28 insertions, 0 deletions
diff --git a/x11/sdl/APKBUILD b/x11/sdl/APKBUILD
new file mode 100644
index 0000000000..421c8f9ec3
--- /dev/null
+++ b/x11/sdl/APKBUILD
@@ -0,0 +1,28 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=sdl
+pkgver=1.2.13
+pkgrel=0
+pkgdesc="A library for portable low-level access to a video framebuffer, audio output, mouse, and keyboard"
+url="http://www.libsdl.org"
+license="LGPL"
+subpackages="$pkgname-dev $pkgname-doc"
+depends=
+makedepends="libxext-dev libxrender-dev libx11-dev libice-dev libsm-dev
+ libxrandr-dev mesa-dev alsa-lib-dev"
+source="http://www.libsdl.org/release/SDL-$pkgver.tar.gz"
+
+build ()
+{
+ cd "$srcdir"/SDL-$pkgver
+ ./configure --prefix=/usr \
+ --disable-nasm \
+ --disable-esd \
+ --enable-alsa \
+ --with-x \
+ --disable-rpath \
+ --disable-nls
+ make || return 1
+ make DESTDIR="$pkgdir" install
+}
+
+md5sums="c6660feea2a6834de10bc71b2f8e4d88 SDL-1.2.13.tar.gz"